org.wildfly.swarm.config.management.access.constraint.type.classification

## Class AppliesTo<T extends AppliesTo<T>>

- java.lang.Object
- - org.wildfly.swarm.config.management.access.constraint.type.classification.AppliesTo<T>

-     public class AppliesTo<T extends AppliesTo<T>>
      extends Object

  Information about the resources, attributes and operations to which an access control constraint applies.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AppliesTo(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `address()` Address pattern describing a resource or resources to which the constraint applies.
    `T` | `address(String value)` Address pattern describing a resource or resources to which the constraint applies.
    `T` | `attribute(String value)` List of the names of attributes to which the constraint specifically applies.
    `List<String>` | `attributes()` List of the names of attributes to which the constraint specifically applies.
    `T` | `attributes(List<String> value)` List of the names of attributes to which the constraint specifically applies.
    `T` | `attributes(String... args)` List of the names of attributes to which the constraint specifically applies.
    `Boolean` | `entireResource()` True if the constraint applies to the resource as a whole; false if it only applies to one or more attributes or operations.
    `T` | `entireResource(Boolean value)` True if the constraint applies to the resource as a whole; false if it only applies to one or more attributes or operations.
    `String` | `getKey()`
    `T` | `operation(String value)` List of the names of operations to which the constraint specifically applies.
    `List<String>` | `operations()` List of the names of operations to which the constraint specifically applies.
    `T` | `operations(List<String> value)` List of the names of operations to which the constraint specifically applies.
    `T` | `operations(String... args)` List of the names of operations to which the constraint specifically applies.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AppliesTo

          public AppliesTo(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### address

          public String address()

      Address pattern describing a resource or resources to which the constraint applies.

    - #### address

          public T address(String value)

      Address pattern describing a resource or resources to which the constraint applies.

    - #### attributes

          public List<String> attributes()

      List of the names of attributes to which the constraint specifically applies.

    - #### attributes

          public T attributes(List<String> value)

      List of the names of attributes to which the constraint specifically applies.

    - #### attribute

          public T attribute(String value)

      List of the names of attributes to which the constraint specifically applies.

    - #### attributes

          public T attributes(String... args)

      List of the names of attributes to which the constraint specifically applies.

    - #### entireResource

          public Boolean entireResource()

      True if the constraint applies to the resource as a whole; false if it only applies to one or more attributes or operations.

    - #### entireResource

          public T entireResource(Boolean value)

      True if the constraint applies to the resource as a whole; false if it only applies to one or more attributes or operations.

    - #### operations

          public List<String> operations()

      List of the names of operations to which the constraint specifically applies.

    - #### operations

          public T operations(List<String> value)

      List of the names of operations to which the constraint specifically applies.

    - #### operation

          public T operation(String value)

      List of the names of operations to which the constraint specifically applies.

    - #### operations

          public T operations(String... args)

      List of the names of operations to which the constraint specifically applies.

Copyright © 2018 JBoss by Red Hat. All rights reserved.